package ru.yandex.webmaster3.viewer.http.crawl;

import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.ActionStatus;
import ru.yandex.webmaster3.storage.crawl.UserCrawlSettings;

/**
 * @author avhaliullin
 */
public abstract class UpdateCrawlSettingsResponse implements ActionResponse {
    public static class NormalResponse extends UpdateCrawlSettingsResponse {
        private final UserCrawlSettings userCrawlSettings;

        public NormalResponse(UserCrawlSettings userCrawlSettings) {this.userCrawlSettings = userCrawlSettings;}

        public UserCrawlSettings getUserCrawlSettings() {
            return userCrawlSettings;
        }

        @Override
        public ActionStatus getRequestStatus() {
            return ActionStatus.SUCCESS;
        }
    }
}
